import request from '@/utils/request';
// /teacher/visitDormitoryMaterials/add
// /teacher/visitDormitoryMaterials/list

// 查询列表
export function listVisitDormitoryMaterials(query) {
  return request({
    url: '/teacher/visitDormitoryMaterials/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query
  })
}
// 新增
export function addVisitDormitoryMaterials(data) {
  return request({
    url: '/teacher/visitDormitoryMaterials/add',
    method: 'post',
    data: data
  })
}
// 查询查寝佐证材料详细
export function getVisitDormitoryMaterials(id) {
  return request({
    url: '/teacher/visitDormitoryMaterials/' + id,
    method: 'get'
  })
}
// 修改查寝佐证材料
export function updateVisitDormitoryMaterials(data) {
  return request({
    url: '/teacher/visitDormitoryMaterials/update',
    method: 'post',
	data: data
  })
}

// 删除查寝佐证材料
export function delVisitDormitoryMaterials(id) {
  return request({
    url: '/teacher/visitDormitoryMaterials/'+id,
    method: 'post',
  })
}